Common tasks: Accessibility Options

Common tasks

The following accessibility tools are frequently used when configuring accessibility options. Click the Index or Search tab to search for a specific word or phrase.

  • StickyKeys: Enables simultaneous keystrokes while pressing one key at a time.
  • FilterKeys: Adjusts the response of your keyboard.
  • ToggleKeys: Emits sounds when certain locking keys are pressed.
  • SoundSentry: Provides visual warnings for system sounds.
  • ShowSounds: Instructs programs to display captions for program speech and sounds.
  • High Contrast: Improves screen contrast with alternative colors and font sizes.
  • MouseKeys: Enables the keyboard to perform mouse functions.
  • SerialKeys: Allows the use of alternative input devices instead of a keyboard and mouse.

Accessibility Options in Control Panel can be used with other accessiblity programs included with Windows 2000.

The accessibility tools that ship with Windows 2000 are intended to provide a minimum level of functionality for users with special needs. Most users with disabilities will need utility programs with higher functionality for daily use. For a list of Windows-based accessibility utilities, see Microsoft Accessibility at the Microsoft Web site (http://www.microsoft.com/).

Additional resources:

Utilities to enhance accessibility

A wide variety of hardware and software products are available to make personal computers easier to use for people with disabilities.

Additional information

Microsoft documentation in alternative formats

Many of the Windows 2000 documents are also available as online Help, online guides for users, or on a CD that comes with the package.

Additional information

Microsoft products and services

Information on Microsoft products and services for people with disabilities.

Additional information


Configuring Windows 2000 for people who are deaf or hard-of-hearing

People who are deaf or hard-of-hearing can configure Windows 2000 to use visual cues in place of sounds, or increase the volume level of program and system sounds.

Use SoundSentry

SoundSentry displays a visual warning, such as a blinking program window, when your computer's built-in speaker makes a sound.

Step-by-step procedure

Use ShowSounds

ShowSounds instructs programs to provide visual cues, such as informative icons or text, for events that are normally only indicated by a sound.

Step-by-step procedure

Use Sound Schemes

Use Sound Schemes to assign custom sounds to events. People who have difficulty hearing sounds within a certain frequency range can use sound schemes to adjust system and program sounds to make them more audible.

Step-by-step procedure

The Accessibility tools that ship with Windows 2000 are intended to provide a minimum level of functionality for users with special needs. Most users with disabilities will need utility programs with higher functionality for daily use. For a list of Windows-based accessibility utilities, see Microsoft Accessibility at the Microsoft Web site (http://www.microsoft.com/).

Related Topics


Configuring Windows 2000 for people who have a mobility impairment

People who have motion-related disabilities can use Windows 2000 to configure their system to provide a more comfortable computing environment and help minimize the impact of mobility impairments on their work.

Keyboard in Control Panel provides keyboard layouts for users of alternative keyboards. This is especially useful for those who type with one hand.

Mouse in Control Panel configures the mouse for right- or left-handed users, adjusts double-click speed, pointer speed, and acceleration, and causes the mouse pointer to go directly to default buttons in dialog boxes.

Use FilterKeys

Using FilterKeys, located in Accessibility Options in Control Panel, you can tell Windows 2000 to ignore brief or repeated keystrokes.

Step-by-step procedure

Use MouseKeys

Using MouseKeys, located in Accessibility Options in Control Panel, you can control the pointer with the numeric keypad on your keyboard.

Step-by-step procedure

Use On-Screen Keyboard

On-Screen Keyboard users can type using the pointing device.

Additional information

Use SerialKeys

SerialKeys, located in Accessibility Options in Control Panel, provides alternative access to keyboard and mouse features.

Step-by-step procedure

Use StickyKeys

StickyKeys, located in Accessibility Options in Control Panel, provides access to the SHIFT, CTRL, ALT, or Windows logo key keys by pressing one key at a time.

Step-by-step procedure

The accessibility tools that ship with Windows 2000 are intended to provide a minimum level of functionality for users with special needs. Most users with disabilities will need utility programs with higher functionality for daily use. For a list of Windows-based accessibility utilities, see Microsoft Accessibility at the Microsoft Web site (http://www.microsoft.com/).


Configuring Windows 2000 for people who are blind or have low vision

Using Display in Control Panel, people who have low vision or are blind can select larger fonts and icons, increase the size of screen elements by using a lower screen resolution, or change the size of windows and window borders. Using Mouse in Control Panel, you can adjust mouse properties to display larger or more visible mouse pointers and control the speed and animation of the mouse pointer.

When using Windows-based programs, you can change font sizes and colors, background color, and window size. In some programs, you can magnify the elements that are displayed in the program's window.

Using the Properties or Default dialog boxes in MS-DOS programs, you can change font types, sizes, and colors, background color, and the size of the cursor and program window.

The following tools are available with Windows 2000. See Related Topics for additional programs.

Using High Contrast

Using High Contrast, you can specify that Windows 2000 uses colors and fonts that are designed for easy reading.

Step-by-step procedure

Using Magnifier

Using Magnifier, you can magnify a portion of your screen to make it more easily readable.

Additional information

Using Narrator

Narrator is a text-to-speech program that reads aloud the text that is displayed on your screen.

Additional information

Using ToggleKeys

ToggleKeys causes tones to sound when you press CAPS LOCK, NUM LOCK, and SCROLL LOCK.

Step-by-step procedure

The Accessibility tools that ship with Windows 2000 are intended to provide a minimum level of functionality for users with special needs. Most users with disabilities will need utility programs with higher functionality for daily use. For a list of Windows-based accessibility utilities, see Microsoft Accessibility at the Microsoft Web site (http://www.microsoft.com/).


Control Panel accessibility options

Use Accessibility Options in Control Panel to customize the way your keyboard, display, and mouse function. Many of these features are useful to people without disabilities.

  • StickyKeys: enables simultaneous keystrokes while pressing one key at a time.
  • FilterKeys: adjusts the response of your keyboard.
  • ToggleKeys: emits sounds when certain locking keys are pressed.
  • SoundSentry: provides visual warnings for system sounds.
  • ShowSounds: instructs programs to display captions for program speech and sounds.
  • High Contrast: improves screen contrast with alternative colors and font sizes.
  • MouseKeys: enables the keyboard to perform mouse functions.
  • SerialKeys: allows the use of alternative input devices instead of a keyboard and mouse.

Note

  • To change accessibility settings in Control Panel, click Start, point to Settings, click Control Panel, and then double-click Accessibility Options.


Turn on FilterKeys

To turn on FilterKeys

  2. On the Keyboard tab, under FilterKeys, select the Use FilterKeys check box.

Notes

  • To open Accessibility Options, click Start, point to Settings, click Control Panel, and then double-click Accessibility Options.
  • To change the settings for FilterKeys, on the Keyboard tab, under FilterKeys, click Settings.
  • If the Use shortcut check box in the Settings for FilterKeys dialog box is selected, you can turn FilterKeys on and off by holding down the right SHIFT key for 8 to 16 seconds (depending on the other settings you have selected in the Accessibility Options dialog box).


Turn on High Contrast

To turn on High Contrast

  2. On the Display tab, under High Contrast, select the Use High Contrast check box.

Notes

  • To open Accessibility Options, click Start, point to Settings, click Control Panel, and then double-click Accessibility Options.
  • To change settings for High Contrast, on the Display tab, click Settings.
  • If the Use shortcut check box in the Settings for High Contrast dialog box is selected, you can turn the high-contrast scheme on and off by pressing the left ALT+left SHIFT+PRINT SCREEN keys.


Turn on MouseKeys

To turn on MouseKeys

  2. On the Mouse tab, under MouseKeys, select the Use MouseKeys check box.
To turn on MouseKeys using keystrokes

  1. To display the Start menu, press CTRL+ESC.
  2. To display the Settings submenu, press SHIFT+s, and then press ENTER.
  3. If Accessibility Options is not selected, use the arrow keys to select it, and then press ENTER.
  4. To select the Mouse tab, press CTRL+TAB.
  5. To select Use MouseKeys, press SPACEBAR.
  6. Press TAB twice to select OK, and then press ENTER.

Notes

  • To open Accessibility Options, click Start, point to Settings, click Control Panel, and then double-click Accessibility Options.
  • To change settings for MouseKeys, on the Mouse tab, click Settings.
  • If the Use shortcut check box in the Settings for MouseKeys dialog box is selected, you can turn MouseKeys on and off by pressing left ALT+left SHIFT+NUM LOCK.


Click by using MouseKeys

To click by using MouseKeys

  • To click, press 5 on your numeric keypad.
  • To double-click, press the plus sign (+) on your numeric keypad.
  • To right-click, press the minus sign (-) on your numeric keypad, and then press 5 to click, or press the plus sign (+) to double-click.
  • To click as if you were using both mouse buttons at once, press the asterisk (*) on your numeric keypad, and then press 5 to click or the plus sign (+) to double-click.
  • To switch back to standard clicking, press slash (/) on your numeric keypad.

Notes

  • Make sure MouseKeys is turned on.
  • To change accessibility settings from Control Panel, click Start, point to Settings, click Control Panel, and then double-click Accessibility Options.
  • If MouseKeys doesn't function, press NUM LOCK, and then try MouseKeys again.
  • To specify whether NUM LOCK must be on or off for MouseKeys to function, on the Mouse tab, click Settings, and then for Use MouseKeys when NumLock is, click On or Off.
  • To change the pointer speed and acceleration when using MouseKeys, on the Mouse tab, click Settings, and then move the sliders to adjust the pointer speed and acceleration.
  • To temporarily increase or decrease the pointer speed, on the Mouse tab, click Settings, and then select the Hold down Ctrl to speed up and Shift to slow down check box.


Drag by using MouseKeys

To drag by using MouseKeys

  • To move the pointer over the object you want to move or over the area you want to move to, press the arrow keys on your numeric keypad.
  • To hold down the mouse button, press the INSERT key on your numeric keypad.
  • To release the mouse button, press the DELETE key on your numeric keypad.

Notes

  • Make sure MouseKeys is turned on.
  • To change accessibility settings from Control Panel, click Start, point to Settings, click Control Panel, and then double-click Accessibility Options.
  • If MouseKeys doesn't function, press NUM LOCK, and then try MouseKeys again.
  • To specify whether NUM LOCK must be on or off for MouseKeys to function, on the Mouse tab, click Settings, and then for Use MouseKeys when NumLock is, click On or Off.
  • To change the pointer speed and acceleration when using MouseKeys, on the Mouse tab, click Settings, and then move the sliders to adjust the pointer speed and acceleration.
  • To temporarily increase or decrease the pointer speed, on the Mouse tab, click Settings, and then select the Hold down Ctrl to speed up and Shift to slow down check box.


Move the mouse pointer by using MouseKeys

To move the mouse pointer by using MouseKeys

  • To move the pointer horizontally or vertically, press the arrow keys on your numeric keypad.
  • To move the pointer diagonally, press HOME, END, PAGE UP, and PAGE DOWN on your numeric keypad.

Notes

  • Make sure MouseKeys is turned on.
  • To change accessibility settings from Control Panel, click Start, point to Settings, click Control Panel, and then double-click Accessibility Options.
  • If MouseKeys doesn't function, press NUM LOCK, and then try MouseKeys again.
  • To specify whether NUM LOCK must be on or off for MouseKeys to function, on the Mouse tab, click Settings, and then for Use MouseKeys when NumLock is, click On or Off.
  • To change the pointer speed and acceleration when using MouseKeys, on the Mouse tab, click Settings, and then move the sliders to adjust the pointer speed and acceleration.
  • To temporarily increase or decrease the pointer speed, on the Mouse tab, click Settings, and then select the Hold down Ctrl to speed up and Shift to slow down check box.


Replace the mouse or keyboard with other devices

To replace the mouse or keyboard with other devices

  2. On the General tab, under SerialKey devices, select the Support SerialKey devices check box.

Notes

  • To open Accessibility Options, click Start, point to Settings, click Control Panel, and then double-click Accessibility Options.
  • To change the serial port and baud rate for your SerialKey device, on the General tab, under SerialKey devices, click Settings.


Turn on ShowSounds

To turn on ShowSounds

  2. On the Sound tab, under ShowSounds, select the Use ShowSounds check box.

Note

  • To open Accessibility Options, click Start, point to Settings, click Control Panel, and then double-click Accessibility Options.


Turn on SoundSentry

To turn on SoundSentry

  2. On the Sound tab, under SoundSentry, select the Use SoundSentry check box.

Notes

  • To open Accessibility Options, click Start, point to Settings, click Control Panel, and then double-click Accessibility Options.
  • To change settings for SoundSentry, on the Sound tab, under SoundSentry, click Settings.


Turn on StickyKeys

To turn on StickyKeys

  2. On the Keyboard tab, under StickyKeys, select the Use StickyKeys check box.

Notes

  • To open Accessibility Options, click Start, point to Settings, click Control Panel, and then double-click Accessibility Options.
  • To change settings for StickyKeys, on the Keyboard tab, under StickyKeys, click Settings.


Turn off accessibility features after a specified time

To turn off accessibility features after a specified time

  2. On the General tab, under Automatic reset, select the Turn off accessibility features after idle for check box.
  3. To adjust the number of minutes the computer can be idle before accessibility features are turned off, in the minutes box, click the arrow, and then click a number.

Notes

  • To open Accessibility Options, click Start, point to Settings, click Control Panel, and then double-click Accessibility Options.
  • If you enable this feature, all accessibility features except SerialKey devices will be turned off after the specified time.


Turn on ToggleKeys

To turn on ToggleKeys

  2. On the Keyboard tab, under ToggleKeys, select the Use ToggleKeys check box.

Notes

  • To open Accessibility Options, click Start, point to Settings, click Control Panel, and then double-click Accessibility Options.
  • To change settings for ToggleKeys, on the Keyboard tab, under ToggleKeys, click Settings.
  • If the Use shortcut check box in the Settings for ToggleKeys dialog box is selected, you can turn ToggleKeys on and off by holding down the NUM LOCK key for five seconds.


Be prompted when accessibility features are turned on or off

To be prompted when accessibility features are turned on or off

  2. On the General tab, under Notification, select the check box for the type of notification you want.

Note

  • To open Accessibility Options, click Start, point to Settings, click Control Panel, and then double-click Accessibility Options.


Accessibility wizard overview

The Accessibility wizard guides you through customizing your computer with tools designed to help you meet your vision, hearing, or mobility needs. Once the Accessibility tools are set up, they can be accessed through Control Panel and the Accessibility menu.

Open Accessibility wizard.

Notes

  • To open Accessibility wizard, click Start, point to Programs, point to Accessories, point to Accessibility, and then click Accessibility Wizard.
  • The Accessibility tools that ship with Windows 2000 are intended to provide a minimum level of functionality for users with special needs. Most users with disabilities will need utility programs with higher functionality for daily use. For a list of Windows-based accessibility utilities, see Microsoft Accessibility at the Microsoft Web site (http://www.microsoft.com/).


Accessibility for special needs overview

You can adjust the appearance and behavior of Windows 2000 to enhance accessibility for some vision-impaired, hearing-impaired, and mobility-impaired users without requiring additional software or hardware.

Windows 2000 includes the following programs to enhance accessibility:

  • Magnifier enlarges a portion of the screen for easier viewing.
  • Narrator uses text-to-speech technology to read the contents of the screen aloud. This is useful for people who are blind or who have low vision.
  • On-Screen Keyboard provides users with limited mobility the ability to type on-screen using a pointing device.
  • Utility Manager enables users with administrator-level access to check an Accessibility program's status, start or stop an Accessibility program, and designate to have the program start when Windows 2000 starts.

Using Accessibility Options in Control Panel, you can easily set up how you want to use your keyboard, display, and mouse functions.

The accessibility tools available in Accessibility Options in Control Panel perform various functions:

  • StickyKeys enables simultaneous keystrokes while pressing one key at a time.
  • FilterKeys adjusts the response of your keyboard.
  • ToggleKeys emits sounds when certain locking keys are pressed.
  • SoundSentry provides visual warnings for system sounds.
  • ShowSounds instructs programs to display captions for program speech and sounds.
  • High Contrast improves screen contrast with alternative colors and font sizes.
  • MouseKeys enables the keyboard to perform mouse functions.
  • SerialKeys allows the use of alternative input devices instead of a keyboard and mouse.

You can use the Accessibility wizard to help you set up the options and programs for your individual needs. Please see Related Topics for information on using these Accessibility aids.

A wide variety of hardware and software products are available to make personal computers easier to use for people with disabilities. Among the different types of products available for MS-DOS and the Microsoft Windows operating systems are:

  • Programs that enlarge or alter the color of information on the screen for people with visual impairments.
  • Programs that describe information on the screen in Braille or synthesized speech for people who are blind or have difficulty reading.
  • Hardware and software utilities that modify the behavior of the mouse and keyboard.
  • Programs that enable the user to type using a mouse or his or her voice.
  • Word or phrase prediction software, that allows users to type more quickly and with fewer keystrokes.
  • Alternate input devices, such as single switch or puff-and-sip devices, for people who cannot use a mouse or a keyboard.

The Accessibility tools that ship with Windows 2000 are intended to provide a minimum level of functionality for users with special needs. Most users with disabilities will need utility programs with higher functionality for daily use. For a list of Windows-based accessibility utilities, see Microsoft Accessibility at the Microsoft Web site (http://www.microsoft.com/).